/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/

var ls_width = $(window).width();
var ls_height = $(window).height();

$(window).resize(function(){
	ls_width = $(window).width();
	ls_height = $(window).height();
});

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}

//定义用户当前全局参数
var ls_node=null;//当前选中的Node
queryData.FIELD_UNIT_ID_IS_PARENT='A';
var ls_row_index = 0;//当前操作记录序号
var ls_choice_ope = 1;//当前选组织窗口返回值的作用 1：用于批量人员移动 2：用于单位排序 3：用于单位选取
/****/

/**
 * 序号：2
 * 功能：构建下拉框内容
 * 参数：
 * 说明：方便新增、修改页面里的下拉选项加载数据
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载性别下拉框
var v_sexquery = {};
v_sexquery.FIELD_tableName = "DM_COMMON_SEX";
var v_sexquery_data = standardModel.dataAction.listAllCache(v_sexquery);

//加载是否激活下拉框
//加载是否在编下拉框
var v_yesnoquery = {};
v_yesnoquery.FIELD_tableName = "DM_ST_YES_NO";
var v_yesnoquery_data = standardModel.dataAction.listAllCache(v_yesnoquery);

//证件类型
var v_zjlxquery = {};
v_zjlxquery.FIELD_tableName = "DM_COMMON_IDCARD_TYPE";
var v_zjlxquery_data = standardModel.dataAction.listAllCache(v_zjlxquery);

//在编类别
var v_zblbquery = {};
v_zblbquery.FIELD_tableName = "DM_ST_BZLB";
var v_zblbquery_data = standardModel.dataAction.listAllCache(v_zblbquery);
/****/

/**
 * 序号：3
 * 功能：构建主页面列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//定义grid列表
$('#list').datagrid({
		title:"详细信息",
	    iconCls:$.getJwWindowPic(),
	    url:'jwAppsLdapData_listInfo',
	    queryParams : queryData,//查询参数
		rownumbers : false,//显示索引号
		singleSelect : false,//是否多选
		fitColumns : true,//是否撑满
		autoRowHeight : 30,//设定高度
		pagination : true,//分页显示
		pageSize : rows,//显示行数
		pageList : listPageSize,//条数选择
		striped : true, //是否隔行显示
		remoteSort : false,//是否从服务器排序
		frozenColumns : [[
				{
					field : 'ck',
					checkbox : true
				}
				       ]],
		columns : [ [
			    {
					field : 'objectClass',
					title : '类型',
					width : 120,
					align : 'center'
				}, {
					field : 'ou',
					title : '部门',
					width : 150,
					align : 'center'
				}, {
					field : 'description',
					title : '名称',
					width : 100,
					align : 'center'
				},{
					field : 'employeeNumber',
					title : '账号',
					width : 150,
					align : 'center'
				},{
					field : 'usersex',
					title : '性别',
					width : 80,
					align : 'center'
				},{
					field : 'mobile',
					title : '手机号',
					align : 'center',
					width : 120
				}, {
					field : 'mail',
					title : '邮箱',
					align : 'center',
					width : 150
				}, {
					field : 'idcard',
					title : '身份证',
					align : 'center',
					width : 150
				}, {
					field : 'telephone',
					title : '办公室电话',
					align : 'center',
					width : 150
				}
				] ],
		toolbar : '#tb',
		onLoadSuccess : function(data) {
			if(data.rows[0].employeeNumber==undefined){    
	            $("#list").datagrid("hideColumn", "employeeNumber"); // 设置隐藏列    
	        }
			if(data.rows[0].usersex==undefined){    
	            $("#list").datagrid("hideColumn", "usersex"); // 设置隐藏列    
	        }
			if(data.rows[0].mobile==undefined){    
	            $("#list").datagrid("hideColumn", "mobile"); // 设置隐藏列    
	        } 
			if(data.rows[0].mail==undefined){    
	            $("#list").datagrid("hideColumn", "mail"); // 设置隐藏列    
	        } 
			if(data.rows[0].idcard==undefined){    
	            $("#list").datagrid("hideColumn", "idcard"); // 设置隐藏列    
	        } 
			if(data.rows[0].telephone==undefined){    
	            $("#list").datagrid("hideColumn", "telephone"); // 设置隐藏列    
	        } 
			createOptionMenuTooltip(0);
		}
});

/****/

/**
 * 序号：4
 * 功能：设置操作列浮动菜单
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//操用列显示更多(一般情况下无需更改)
function formatMenu(value, data,index) {
	var returnData="";
	return  returnData
	      + "<span class=\"icon-ext-moremenu\" style=\"padding-left:20px;*width:20px;\"></span>"
	      + "<span data-p1="+index+" class=\"easyui-tooltip\" style=\"color:blue;cursor:pointer;\">更多</span>";
}

//上浮横向菜单集里的具体菜单项(需更改)
function getOptionMenu(data,index){
	var returnData= "<span class=\"icon-edit\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"editRow('"
		+ index + "')\">编辑</a>  |  <span class=\"icon-edit\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"editRowUnit('"
		+ index + "')\">删除</a>";
	return returnData;
}

//返回菜单集的菜单个数(需更改)
function getOptionMenuCount(){
	var is_menu_count = 0;
	return is_menu_count;
}

//新增人员
function addRow(){
	$('#list').datagrid('selectRow',0);
	is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	is_row[0].OPETYPE = 'insert';
	is_row[0].FLAG = 'user';
	openEditRow("jwAppsLdapView_ldapDetail",is_row[0],"新增",true,0.65,0.65,160,0);
}
//加载增加子页面成功后的回调
function addUrlOnloadCallback(is_row){
	$('#usersex').combobox({
		data : v_sexquery_data.rowSet,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#usersex').combobox('setValue', '1');
}
//保存
function insertData(is_entity){
	if(is_entity.FIELD_FLAG == 'user'){
		var v_result = jwAppLdapModel.jwAppsLdapActAction.insertUser(is_entity);
		reloadTree();
		return v_result;
	}else if(is_entity.FIELD_FLAG == 'unit'){
		var v_result = jwAppLdapModel.jwAppsLdapActAction.insertUnit(is_entity);
		reloadTree();
		return v_result;
	}
}

//新增部门
function addUnitRow(){
	$('#list').datagrid('selectRow',1);
	is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	is_row[0].OPETYPE = 'insert';
	is_row[0].FLAG = 'unit';
	openEditRow("jwAppsLdapView_ldapUnitDetail",is_row[0],"新增",true,0.65,0.65,160,0);
}


//修改数据
//加载修改子页面
function editRow(index){
	ls_row_index = index;
	var is_row = {};
	$('#list').datagrid('selectRow',index);
	is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	is_row[0].OPETYPE = 'update';
    var  tt= is_row[0].objectClass;
	if(tt == 'organization' || tt == 'organizationalUnit'){
		is_row[0].FLAG = 'unit';
		openEditRow("jwAppsLdapView_ldapUnitDetail",is_row[0],"编辑",true,0.65,0.65,160,0);
	}else if(tt = 'inetOrgPerson'){
		is_row[0].FLAG = 'user';
		openEditRow("jwAppsLdapView_ldapDetail",is_row[0],"编辑",true,0.65,0.65,160,0);
	}	
}
//加载修改子页面成功后的回调
function updateUrlOnloadCallback(is_row){
	$('#usersex').combobox({
		data : v_sexquery_data.rowSet,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
}
//保存
function updateData(is_entity){
	if(is_entity.FIELD_FLAG == 'user'){
		var v_result = jwAppLdapModel.jwAppsLdapActAction.updateUser(is_entity);
		reloadTree();
		return v_result;
	}else if(is_entity.FIELD_FLAG == 'unit'){
		var v_result = jwAppLdapModel.jwAppsLdapActAction.updateUnit(is_entity);
		reloadTree();
		return v_result;
	}
}

//修改部门信息
/*function editRowUnit(index){
	ls_row_index = index;
	var is_row = {};
	$('#list').datagrid('selectRow',index);
	is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	is_row[0].OPETYPE = 'update';
	is_row[0].FLAG = 'unit'
	openEditRow("jwAppsLdapView_ldapUnitDetail",is_row[0],"编辑",true,0.65,0.65,160,0);	
}*/

/**
 * 序号：8
 * 功能：删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteBatchRow(){
	$('#list').datagrid('selectRow',0);	
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	var code = is_row[0].rdn;
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.deletekey = code;
			var v_result = jwAppLdapModel.jwAppsLdapActAction.deleteUser(v_query);
			$.messager.alert('提示',v_result.VALUE);
			reloadTree();
		}
	});
}

/**
 * 序号：9
 * 功能：刷新
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function refreshRow(){
	reloadTree();
	$("#usertab_searchForm")[0].reset();
}
/**
 * 序号：10
 * 功能：查询
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function searchRow(){
	var v_query = $("#ldaptab_searchForm").getFormVal();
	$('#list').datagrid({
		title:"详细信息",
	    iconCls:$.getJwWindowPic(),
	    url:'jwAppsLdapData_listUser',
	    queryParams : v_query,//查询参数
		rownumbers : false,//显示索引号
		singleSelect : false,//是否多选
		fitColumns : true,//是否撑满
		autoRowHeight : 30,//设定高度
		pagination : true,//分页显示
		pageSize : rows,//显示行数
		pageList : listPageSize,//条数选择
		striped : true, //是否隔行显示
		remoteSort : false,//是否从服务器排序
		frozenColumns : [[
				{
					field : 'ck',
					checkbox : true
				}
				       ]],
		columns : [ [
			    {
					field : 'objectClass',
					title : '类型',
					width : 120,
					align : 'center'
				}, {
					field : 'ou',
					title : '部门',
					width : 150,
					align : 'center'
				}, {
					field : 'description',
					title : '名称',
					width : 100,
					align : 'center'
				},{
					field : 'employeeNumber',
					title : '账号',
					width : 150,
					align : 'center'
				},{
					field : 'usersex',
					title : '性别',
					width : 80,
					align : 'center'
				},{
					field : 'mobile',
					title : '手机号',
					align : 'center',
					width : 120
				}, {
					field : 'mail',
					title : '邮箱',
					align : 'center',
					width : 150
				}, {
					field : 'idcard',
					title : '身份证',
					align : 'center',
					width : 150
				}, {
					field : 'telephone',
					title : '办公室电话',
					align : 'center',
					width : 150
				}
				] ],
		toolbar : '#tb',
		onLoadSuccess : function(data) {
			if(data.rows[0].employeeNumber==undefined){    
	            $("#list").datagrid("hideColumn", "employeeNumber"); // 设置隐藏列    
	        }
			if(data.rows[0].usersex==undefined){    
	            $("#list").datagrid("hideColumn", "usersex"); // 设置隐藏列    
	        }
			if(data.rows[0].mobile==undefined){    
	            $("#list").datagrid("hideColumn", "mobile"); // 设置隐藏列    
	        } 
			if(data.rows[0].mail==undefined){    
	            $("#list").datagrid("hideColumn", "mail"); // 设置隐藏列    
	        } 
			if(data.rows[0].idcard==undefined){    
	            $("#list").datagrid("hideColumn", "idcard"); // 设置隐藏列    
	        } 
			if(data.rows[0].telephone==undefined){    
	            $("#list").datagrid("hideColumn", "telephone"); // 设置隐藏列    
	        } 
			createOptionMenuTooltip(0);
		}
});
}

/**
 * 序号：11
 * 功能：加载单位树列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//setInitTree(节点显示字段,节点显示主题,节点字段UUID,父节点字段)
var setting = setInitTree("NAME","NAME","UUID","PARENT_ID");
//加载树时的默认点击
function defautClick(zTree,treeNode){
	if(ls_node == null){
	  ls_node = treeNode;
	  zTree.selectNode(ls_node);
	}else{
		zTree.selectNode(ls_node);
		modifyNode(ls_node);
	}
}
//点击左边节点，datagrid过滤
function modifyNode(treeNode){
	ls_node = treeNode;
	queryData.FIELD_rdn =treeNode.rdn;
	queryData.FIELD_TREE_CLICK = 'Y';
	$('#list').datagrid({
		title:"详细信息",
	    iconCls:$.getJwWindowPic(),
	    url:'jwAppsLdapData_listInfo',
	    queryParams : queryData,//查询参数
		rownumbers : false,//显示索引号
		singleSelect : false,//是否多选
		fitColumns : true,//是否撑满
		autoRowHeight : 30,//设定高度
		pagination : true,//分页显示
		pageSize : rows,//显示行数
		pageList : listPageSize,//条数选择
		striped : true, //是否隔行显示
		remoteSort : false,//是否从服务器排序
		frozenColumns : [[
				{
					field : 'ck',
					checkbox : true
				}
				       ]],
		columns : [ [
			    {
					field : 'objectClass',
					title : '类型',
					width : 100,
					align : 'center'
				}, {
					field : 'ou',
					title : '部门',
					width : 150,
					align : 'center'
				}, {
					field : 'description',
					title : '名称',
					width : 100,
					align : 'center'
				},{
					field : 'employeeNumber',
					title : '账号',
					width : 150,
					align : 'center'
				},{
					field : 'usersex',
					title : '性别',
					width : 80,
					align : 'center'
				},{
					field : 'mobile',
					title : '手机号',
					align : 'center',
					width : 120
				}, {
					field : 'mail',
					title : '邮箱',
					align : 'center',
					width : 150
				}, {
					field : 'idcard',
					title : '身份证',
					align : 'center',
					width : 150
				}, {
					field : 'telephone',
					title : '办公室电话',
					align : 'center',
					width : 150
				}
				] ],
		toolbar : '#tb',
		onLoadSuccess : function(data) {
			if(data.rows[0].employeeNumber==undefined){    
	            $("#list").datagrid("hideColumn", "employeeNumber"); // 设置隐藏列    
	        }
			if(data.rows[0].usersex==undefined){    
	            $("#list").datagrid("hideColumn", "usersex"); // 设置隐藏列    
	        }
			if(data.rows[0].mobile==undefined){    
	            $("#list").datagrid("hideColumn", "mobile"); // 设置隐藏列    
	        } 
			if(data.rows[0].mail==undefined){    
	            $("#list").datagrid("hideColumn", "mail"); // 设置隐藏列    
	        } 
			if(data.rows[0].idcard==undefined){    
	            $("#list").datagrid("hideColumn", "idcard"); // 设置隐藏列    
	        } 
			if(data.rows[0].telephone==undefined){    
	            $("#list").datagrid("hideColumn", "telephone"); // 设置隐藏列    
	        } 
			createOptionMenuTooltip(0);
		}
});
}
//loadTree(后台数据路径,显示的层ID)
loadTreeGroup("jwAppsLdapData_listAll","usertab_user_tree","UUID","1_A");

function reloadTree(){
	loadTreeGroup("jwAppsLdapData_listAll","usertab_user_tree","UUID","1_A");
	
}
